find_package(GLUT)
if (GLUT_FOUND)
	set(GLUT_FOUND false)
	message("GLUT include directory: ${GLUT_INCLUDE_DIR}")
	message("GLUT libraries: ${GLUT_LIBRARIES}")
	set(CMAKE_REQUIRED_INCLUDES ${GLUT_INCLUDE_DIR})
	check_include_files(GL/glut.h SPL_HAVE_GL_GLUT_H)
	check_include_files(glut.h SPL_HAVE_GLUT_H)
	message("SPL_HAVE_GLUT_H: ${SPL_HAVE_GLUT_H}")
	message("SPL_HAVE_GL_GLUT_H: ${SPL_HAVE_GL_GLUT_H}")
	if (SPL_HAVE_GL_GLUT_H OR SPL_HAVE_GLUT_H)
		set(GLUT_FOUND true)
		include_directories(${GLUT_INCLUDE_DIR})
	else()
		message(WARNING "The header files GL/glut.h and glut.h both appear to be missing.")
	endif()
	# On some systems (e.g., Fedora 21), there is a bug in the cmake code
	# that detects GLUT libraries.  The following ugliness is a workaround for 
	# this problem.
	if (NOT GLUT_Xmu_LIBRARY OR NOT GLUT_Xmi_LIBRARY)
		if (NOT GLUT_Xmu_LIBRARY)
			set(GLUT_Xmu_LIBRARY "")
			message(WARNING "Clearing bogus value for GLUT_Xmu_LIBRARY.")
			message(WARNING "Your version of CMake may be buggy.")
		endif()
		if (NOT GLUT_Xmi_LIBRARY)
			set(GLUT_Xmi_LIBRARY "")
			message(WARNING "Clearing bogus value for GLUT_Xmi_LIBRARY.")
			message(WARNING "Your version of CMake may be buggy.")
		endif()
		set(GLUT_LIBRARIES "${GLUT_glut_LIBRARY}")
	endif()
endif()
